# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TSparkArrowResultLink

Packages that use TSparkArrowResultLink
Package
Description
com.databricks.jdbc.api.impl.arrow
com.databricks.jdbc.api.impl.arrow.incubator
com.databricks.jdbc.common.util
com.databricks.jdbc.model.client.thrift.generated

## Uses of TSparkArrowResultLink in com.databricks.jdbc.api.impl.arrow

Methods in com.databricks.jdbc.api.impl.arrow with parameters of type TSparkArrowResultLink
Modifier and Type
Method
Description
`protected abstract T`
AbstractRemoteChunkProvider.`createChunk(StatementId statementId, long chunkIndex, TSparkArrowResultLink resultLink)`
Creates chunk `AbstractRemoteChunkProvider` based on the `TSparkArrowResultLink`.
`protected ArrowResultChunk`
RemoteChunkProvider.`createChunk(StatementId statementId, long chunkIndex, TSparkArrowResultLink resultLink)`
Creates chunk `AbstractRemoteChunkProvider` based on the `TSparkArrowResultLink`.
`ArrowResultChunk.Builder`
ArrowResultChunk.Builder.`withThriftChunkInfo(long chunkIndex, TSparkArrowResultLink chunkInfo)`

## Uses of TSparkArrowResultLink in com.databricks.jdbc.api.impl.arrow.incubator

Methods in com.databricks.jdbc.api.impl.arrow.incubator with parameters of type TSparkArrowResultLink
Modifier and Type
Method
Description
`protected ArrowResultChunkV2`
RemoteChunkProviderV2.`createChunk(StatementId statementId, long chunkIndex, TSparkArrowResultLink resultLink)`
`ArrowResultChunkV2.Builder`
ArrowResultChunkV2.Builder.`withThriftChunkInfo(long chunkIndex, TSparkArrowResultLink chunkInfo)`

## Uses of TSparkArrowResultLink in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util with parameters of type TSparkArrowResultLink
Modifier and Type
Method
Description
`static ExternalLink`
DatabricksThriftUtil.`createExternalLink(TSparkArrowResultLink chunkInfo, long chunkIndex)`

## Uses of TSparkArrowResultLink in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TSparkArrowResultLink
Modifier and Type
Class
Description
`class`
`TSparkArrowResultLink`
`class`
`TSparkArrowResultLink`
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TSparkArrowResultLink
Modifier and Type
Field
Description
`List<TSparkArrowResultLink>`
TRowSet.`resultLinks`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TSparkArrowResultLink
Modifier and Type
Method
Description
`TSparkArrowResultLink`
TSparkArrowResultLink.`deepCopy()`
`TSparkArrowResultLink`
TSparkArrowResultLink.`setBytesNum(long bytesNum)`
`TSparkArrowResultLink`
TSparkArrowResultLink.`setExpiryTime(long expiryTime)`
`TSparkArrowResultLink`
TSparkArrowResultLink.`setFileLink(String fileLink)`
`TSparkArrowResultLink`
TSparkArrowResultLink.`setHttpHeaders(Map<String,String> httpHeaders)`
`TSparkArrowResultLink`
TSparkArrowResultLink.`setRowCount(long rowCount)`
`TSparkArrowResultLink`
TSparkArrowResultLink.`setStartRowOffset(long startRowOffset)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TSparkArrowResultLink
Modifier and Type
Method
Description
`List<TSparkArrowResultLink>`
TRowSet.`getResultLinks()`
`Iterator<TSparkArrowResultLink>`
TRowSet.`getResultLinksIterator()`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkArrowResultLink
Modifier and Type
Method
Description
`void`
TRowSet.`addToResultLinks(TSparkArrowResultLink elem)`
`int`
TSparkArrowResultLink.`compareTo(TSparkArrowResultLink other)`
`boolean`
TSparkArrowResultLink.`equals(TSparkArrowResultLink that)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TSparkArrowResultLink
Modifier and Type
Method
Description
`TRowSet`
TRowSet.`setResultLinks(List<TSparkArrowResultLink> resultLinks)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkArrowResultLink
Modifier
Constructor
Description
``
`TSparkArrowResultLink(TSparkArrowResultLink other)`
Performs a deep copy on other.